<?session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$cedula=($_POST['graba']=='1'?$_POST['cedula']:$_REQUEST["cedula"]);
$codigo=$_REQUEST["codigo"];

$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();

echo "<b>Opciones:</b>	
&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='prestaciones_remuneracion.php?cedula=".$cedula."'>Regresar</a>
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Remuneraciones de Trabajadores</h2>";

echo "<center><br><br>Importar Archivo EXCEL en Tabla de Remuneraciones del Personal</h2></center><br><hr>
		<br>
		<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST' enctype='multipart/form-data'>
		<input type = 'hidden' name = 'cedula' value = '".$cedula."'>
		<input type = 'hidden' name = 'graba' value = '1'>
		<table align='center'>
		<tr>
			<td align='right'>Archivo?</font></td>
			<td align='center2'><input name='archivo' size=40 type='file'></font></td>
		</tr>
		<tr>
			<td align = 'right'>Validar Operaci&oacute;n? (SI): </font></td>
			<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>
		</tr>
		<tr>
			<td align = 'right'></font></td>
			<td ><input type = 'submit' style='margin-left: 5px; ' value = 'Procesar Accion?'></td>
		</tr>
		</table>
		<script language='javascript' type='text/javascript'>
			document.entrada.archivo.focus();
		</script>
		</form>";
echo "  <br><hr><center><font size='1'>
		NOTA: El Archivo en EXCEL debe ser formato: 97/2003 y las columnas deben ir sin encabezado y distribuida de la siguiente manera: 
		(1) CI-->8 Caracteres numericos, (2) Fecha de Remuneraci&oacute;n -->dd/mm/aaaa, (3) Monto de la Remuneraci&oacute;n 
		</font></center><hr>";


///=====================================================================================================================
if ($_POST['graba']=='1') {			
	if (is_uploaded_file($_FILES['archivo']['tmp_name'])) {
		move_uploaded_file($_FILES['archivo']['tmp_name'], "datos_".$_SESSION['db_validar'].".xls");
		$nombre='datos_'.$_SESSION['db_validar'].'.xls';	
		include("excel/reader.php");
		$datos = new Spreadsheet_Excel_Reader();
		$datos->read($nombre);
		$celdas = $datos->sheets[0]['cells'];
		
		//================================================ mostrar
		echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#0B0B61' >";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> C&eacute;dula </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Fec/Remuneraci&oacute;n </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Monto </font></th>";
		echo "</tr>";
		$i=1;
		while($celdas[$i][1]!="")
		{
				$ced = (  strlen(trim($celdas[$i][1]))>8?substr(trim($celdas[$i][1]),0,8):trim($celdas[$i][1])  );
				$ced = str_repeat("0",8-strlen(trim($ced))).trim($ced);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				$color=!$color;
				echo '<tr bgcolor="'.$tcolor.'" >';
				echo "<td>".$ced."</td>";
				echo "<td>".$celdas[$i][2]."</td>";
				echo "<td>".$celdas[$i][3]."</td>";
				echo "</tr>";
				$i++;
		}

		if (strtoupper($_POST['si'])=="SI") {
				$i=1;
				while($celdas[$i][1]!="")
				{
					$ced = str_repeat("0",8-strlen(trim($celdas[$i][1]))).trim($celdas[$i][1]);
					$fec = $celdas[$i][2];
					$mon = $celdas[$i][3];
					$a3=mysqli_query($enlace,"select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$ced."' and substring(fec,1,7)='".(substr(fecha_mysql($fec),0,7))."'") or die (mysqli_error($enlace));
					if (mysqli_num_rows($a3)==0) {
							$consulta="insert into personal_sueldo (id, codigo,fec,sueldo) values('".$_SESSION['id_validar']."','".$ced."','".fecha_mysql($fec)."','".$mon."')";
							$query=mysqli_query($enlace,$consulta) or die ($consulta. mysqli_error($enlace));
					} else {
							$consulta="update personal_sueldo set sueldo='".$mon."' where id='".$_SESSION['id_validar']."' and codigo='".$ced."' and substring(fec,1,7)='".(substr(fecha_mysql($fec),0,7))."'";
							$query=mysqli_query($enlace,$consulta) or die ($consulta. mysqli_error($enlace));
					}	
					$i++;
				}
				echo "<center><b><font color='red'>Carga Efectuada Satisfactoriamente</b></font></center>";
		} else echo "<b><center><font color='red'>Ha solicitado NO validar...</b></font></center>";	
		
	} else {
		echo "<br><center><font color='red'><b>Archivo Invalido</b></font></center>";
	} 	
}

mysqli_close($enlace);
echo "<br><br><br></font>";
echo "</body>";
echo "</html>";
?>